Page MenuHomePhabricator

LivePreview does not show Preview header nor preview warning
Closed, ResolvedPublic

Description

A normal page preview has:
h2: Preview
This is only a preview; your changes have not yet been saved! → Go to editing area

But a Livepreview does not. We might want to consider adding it..

Event Timeline

TheDJ created this task.Feb 28 2015, 2:40 PM
TheDJ raised the priority of this task from to Lowest.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2015, 2:40 PM

Change 195695 had a related patch set uploaded (by TheDJ):
ApiParse: Support previewing section=new

https://gerrit.wikimedia.org/r/195695

TheDJ set Security to None.
TheDJ removed a subscriber: gerritbot.
Pcj added a subscriber: Pcj.Nov 21 2018, 10:52 PM

It should be noted this also prevents display of warnings passed from Scribunto using mw.addWarning() meaning warnings shown by module authors won't show up in preview.

Change 597262 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/core@master] warnings and header for livepreview

https://gerrit.wikimedia.org/r/597262

Change 597262 merged by jenkins-bot:
[mediawiki/core@master] LivePreview: Show parse warnings and preview header/warning

https://gerrit.wikimedia.org/r/597262

matmarex closed this task as Resolved.Oct 15 2020, 3:43 PM
matmarex assigned this task to TheDJ.